Name:           sudokuki
Version:        1.2.4
Release:        %mkrel 5
Summary:        Essential Sudoku game
Group:          Games/Puzzles
License:        GPLv3+
URL:            http://sudokuki.sourceforge.net
Source0:        https://downloads.sf.net/sudokuki/%{name}-%{version}.tar.bz2
Patch0:         sudokuki-1.2.4-mga-parallel-make.patch

BuildArch:	noarch
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  java-devel

%description
Sudokuki is a free graphical SUDOKU game developed in Java.
You can use it to solve even the most difficult grids for you,
and also to generate a sudoku, edit it, play it or print it.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir} \
               --build=%{_build} \
               --datadir=%{_javadir}
%make_build

%install
%make_install

# Create an unversioned symbolic link according to Mageia's java policy
pushd %{buildroot}%{_javadir}/%{name}/
ln -sf %{name}-%{version}.jar %{name}.jar
popd

# Create the menu entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=Sudokuki
Name[fr]=Sudokuki
Comment=Essential Sudoku game
Comment[fr]=Jeu de Sudoku essentiel
Exec=%{name}
Icon=%{name}
Categories=Game;LogicGame;
EOF
install -D -m755 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install the icon
install -D -m644 src/resources/files/net/jankenpoi/sudokuki/resources/images/sudokuki_icon.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files
%doc AUTHORS README
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_javadir}/%{name}/%{name}*.jar


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.2.4-5.mga9
+ Revision: 1828156
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.2.4-4.mga8
+ Revision: 1501117
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 19 2018 umeabot <umeabot> 1.2.4-3.mga7
+ Revision: 1276345
- Mageia 7 Mass Rebuild

* Fri Nov 11 2016 akien <akien> 1.2.4-2.mga6
+ Revision: 1066525
- Attempt at fixing parallel make

* Sat Apr 23 2016 akien <akien> 1.2.4-1.mga6
+ Revision: 1005716
- Version 1.2.4

* Mon Apr 11 2016 daviddavid <daviddavid> 1.2.2-7.mga6
+ Revision: 1000491
- limit parallel build to level 4 (fails always on autobuild)
- switch back to %%configure2_5x using --build configure option

* Thu Mar 10 2016 daviddavid <daviddavid> 1.2.2-6.mga6
+ Revision: 988781
- rebuild against current java stack

* Mon Jan 04 2016 tv <tv> 1.2.2-5.mga6
+ Revision: 919326
- switch to %%old_configure
- remove debuginfo disabling and make it noarch instead

* Sun Jan 03 2016 daviddavid <daviddavid> 1.2.2-4.mga6
+ Revision: 919300
- remove empty lang files to fix build with latest rpm
- disable empty debug package

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 739558
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 689579
- Mageia 5 Mass Rebuild

* Mon May 05 2014 akien <akien> 1.2.2-1.mga5
+ Revision: 620340
- Use proper install path following our Java policy
- Add desktop file and icon
- imported package sudokuki

